/*

NSAttributedString-NIRAdditions.h

DirectionService - controll writting direction
Copyright (C) 2003 Nir Soffer

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details: http://www.gnu.org/licenses/gpl.html

*/


#import <Cocoa/Cocoa.h>

@interface NSAttributedString (NSAttributedStringNIRAdditions)
- (NSRange)range;
- (NSData *)RTF;
- (NSData *)RTFD;
@end


@interface NSMutableAttributedString (NSMutableAttributedStringNIRAdditions)


// String operations
- (void)encloseWithStart:(NSString *)start
                     end:(NSString *)end
           fixAttributes:(BOOL)fixAttributes;
- (void)prefixLinesWithString:(NSString *)prefix
                fixAttributes:(BOOL)fixAttributes;
- (unsigned)deleteCharactersFromSet:(NSCharacterSet *)set
                      fixAttributes:(BOOL)fixAttributes;

@end
